function [bits_data] = decode_2x2_with_alamouti(rx_signal_1,rx_signal_2)
% 6.888 Wireless Communications Systems
%
% Dina Katabi / Haitham Hassnaieh 
% CSAIL, MIT 
% September 30, 2013
%

load ../Mat_Files/Parameters.mat

% Use this variable to keep track at which sample you are  in packet
current_index = 1 +ceil(3*cp/4);

%% Estimate the narrowband channels

... add your code here ...

bits_data = [];

% Use this variable to help you set the data subcarriers from pilot
% subcarriers from unused subcarriers
subcarrier_config = ones(1,num_bins);
subcarrier_config(convert_bin_index_normal_to_fft(gaurd_bins,num_bins)) = 0;
subcarrier_config(convert_bin_index_normal_to_fft(pilots,num_bins)) = 3; 

%% ESTIMATE OFDM CHANNEL VECTOR

... add your code here ...

%% DECODE USING ALAMOUTI
for m = 1:2:num_syms_data

    ... add your code here ...
    
end
    
end